com.google.gwt.user.client.ui

## Interface AcceptsOneWidget

All Known Subinterfaces:
  HasOneWidget

All Known Implementing Classes:
  CustomScrollPanel, DeckLayoutPanel, DecoratedPopupPanel, DecoratorPanel, DialogBox, FocusPanel, FormPanel, LazyPanel, LoggingPopup, PopupPanel, ResizeLayoutPanel, ScrollPanel, SimpleLayoutPanel, SimplePanel

    public interface AcceptsOneWidget

Implemented by displays that can be given accept an `IsWidget` to show.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setWidget(IsWidget w)` Set the only widget of the receiver, replacing the previous widget if there was one.

### Method Detail

#### setWidget

    void setWidget(IsWidget w)

Set the only widget of the receiver, replacing the previous widget if there was one.

Parameters:
  `w` - the widget, or `null` to remove the widget
See Also:
  `SimplePanel`